REM Usage:   prepareListLkd.bat
REM Purpose: 
REM   To prepare files with lists with parts that are connected to the *.lkd parts
REM   as input parts (build relationship: InputTo).
REM   From the original files, a set of smaller files will be obtained, which
REM   can be used by other scripts. 
REM Customization Notes:   
REM   You may need to customize this script to fit your needs.
REM   The release is "dfarel1" and the workarea is "ibm-mig-0".
REM   The top level collectors are files with suffix of "lkd".
REM
REM Obtaining the complete list of direct build dependencies for the *.lkd parts:
rexx filterPartsWithChildren.rex dfarel1 ibm-mig-0 dfa-lkd.lst  2>&1 | tee filter-1.out
REM
REM Filtering the list of parts that have an "InputTo" relationship:
rexx filterInputToParts.rex dfa-lkd.lst input-to-lkd.lst 2>&1 | tee filter-2.out
REM
REM Splitting into smaller files, the file: input-to-lkd.lst
rexx splitFile.rex input-to-lkd.lst 200  2>&1 | tee split-lkd.out
REM
REM done!